Subject: Re: .git inside a .git: is it safe?

From: Jakub Narebski <[email-masked]>
Date: Mon, 12 Mar 2007 23:56:59 +0100

Guilhem Bonnefille wrote:

> Hi,
> 
> I'm actually working on the packaging of a project. To do so, I use
> two Git repositories:
> - one to follow the main project
> - one to manage my updates on this project.
> 
> But, the matter is I cannot merge the both root. I need to have the
> main project sources in a subdirectory of my own project. My workspace
> is as follow: myproject/sub/tree/mainproject
> 
> With SVN, I think such things are handled with svn:external.
> 
> Actually, with Git, I frequently copy the mainproject inside its
> subtree in my workspace.
> 
> 
> But, I recently discover that everything seems fine if I include the
> Git repo of mainproject inside the Git repo of my project. The layout
> lloks like this:
> myproject
> |- .git
> |- sub
>   |- tree
>     |- mainproject
>       |- .git
> 
> 
> It seems to work. But do you think such layout is "safe" ?

IIRC Junio uses similar layout managing todo branch in git.git
(which comes from separate repository).
-- 
Jakub Narebski
Warsaw, Poland
ShadeHawk on #git